Upload a real estate agent profile photo
curl --request POST \
--url https://backend.tensorpix.ai/api/v2/real-estate/agents/{agent_id}/profile-photo/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=<string>'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/agents/{agent_id}/profile-photo/"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"Authorization": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
options.body = form;
fetch('https://backend.tensorpix.ai/api/v2/real-estate/agents/{agent_id}/profile-photo/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
}{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Real Estate Branding
Upload a real estate agent profile photo
Upload and attach a profile photo to one owned reusable agent.
POST
/
api
/
v2
/
real-estate
/
agents
/
{agent_id}
/
profile-photo
/
Upload a real estate agent profile photo
Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Path Parameters
Body
multipart/form-data
Require one image for an agent profile-photo upload.
Response
Serializer for ImageAsset with basic fields.
Human-readable asset name.
Datetime when the record was created.
Image file stored on S3. Pre-signed URL may expire. To generate a new URL, call the endpoint again. If the field is null, the image hasn't been completely uploaded.
Image thumbnail
External URL if image is hosted elsewhere (not on our S3).
Image width in pixels.
Image height in pixels.
File size in bytes. Null for text-based images.
Tag identifier for the asset that's based on asset's name. Used on frontend to reference the asset '@Parrot-1')
Pattern:
^[-a-zA-Z0-9_]+$Was this page helpful?